apiVersion: apps/v1
kind: Deployment
metadata:
  name: microservice-orderpersister
  annotations: {}
  labels:
    app.kubernetes.io/part-of: microservice-app
spec:
  selector:
    matchLabels:
      app: microservice-orderpersister
  replicas: 1
  template:
    metadata:
      labels:
        app: microservice-orderpersister
        app.kubernetes.io/part-of: microservice-app
    spec:
      containers:
        - name: container
          image: <IMAGE>
          imagePullPolicy: Always
          ports:
            - containerPort: 8080
              protocol: TCP
          env:
            - name: MYSQL_ROOT_PASSWORD
              value: root
            - name: DYNACONF_MYSQL__host
              value: 'mariadb'
            - name: DYNACONF_MYSQL__user
              value: 'root'
            - name: DYNACONF_MYSQL__password
              value: 'root'
            - name: DYNACONF_APPCONFIG__KAFKASERVERS
              value: "microservice-kafka-bootstrap"
            - name: DYNACONF_APPCONFIG__ORDERTOPIC
              value: "bookings"
            - name: DYNACONF_APPCONFIG__GROUPID
              value: "bookingpersister"

      imagePullSecrets: []
  strategy:
    type: RollingUpdate
    rollingUpdate:
      maxSurge: 25%
      maxUnavailable: 25%
  paused: false
